# Get interaction call summaries

Endpoint: GET /interactions/{interactionId}/call-transcripts/summaries
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `interactionId` (string, required)
    Interaction's unique identifier to track interactions for. Can be Peach
or lender's external identifier.

## Query parameters:

  - `limit` (integer)
    The maximum count of results to retrieve.

  - `startingAfter` (string)
    Return results starting after the provided object identifier.

  - `endingBefore` (string)
    Return results ending before the provided object identifier.

  - `offset` (integer)
    Offset from the start of results.

  - `status` (string)
    The status of the transcription result.

  - `aICallTranscriptionResultId` (string)
    Filter by the AI Call Transcription Result ID.

## Response 200 fields (application/json):

  - `count` (integer)
    Number of items returned by the current request.

  - `nextUrl` (string)
    URL of the next set of results.

  - `previousUrl` (string)
    URL of the previous set of results.

  - `status` (integer)
    HTTP status code.

  - `total` (integer)
    Total number of items in this result.

  - `data` (array)

  - `data.companyId` (string)
    The unique company identifier.

  - `data.object` (string)
    Enum: "AICallSummaryResult"

  - `data.status` (string)
    The status of the call summary result.
    Enum: "pending", "completed", "failed"

  - `data.summary` (string)
    The summary of the call.

  - `data.transcriptionResultId` (string)
    The unique identifier for the call transcription result.

